Bug 5354 - WS Addressing final version not supported in Apache WS Addressing library
: WS Addressing final version not supported in Apache WS Addressing library
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: unspecified
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-06-04 10:51 by
Modified: 2007-08-09 11:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-04 10:51:46
The Apache WS Addressing library needs to be updated to support the final
version fo WS Addressing. The project is going to be archived and we might need
to import the current code base to GT and make relevant changes. Changes will
be required to get stubs to compile and in the addresing handler code to
generate and process relevant SOAP headers.
------- Comment #1 From 2007-06-07 13:04:56 -------
Code from WS Apache addressing imported to playground/java/ws-addressing. Added
required fixes for using the final version. A sample counter client with worked
with correct addressing headers.

The code can be cleaned up some more. the Apache WS Addressing project will be
archived in the next few weeks - so code needs to be maintianed in GT code
base.
------- Comment #2 From 2007-08-09 11:05:43 -------
Package names moved to globus namespace. Source code has been checked into
wsrf/java/lib-src/ws-addressing in the wsrf_final_branch. All tests have been
fixed to work with the WS Addressing final specification namespace.

The code can be cleaned up some more, for example there is no reason to support
multiple versions of the code. But that will be done as a separate campaign or
as part of the general clean up when the specification upgrade branch is merged
with trunk.